Update Order Tickets

This API used to update order tickets associated with the specified event.
This API can be access by event admin and super admin. It will return only orderId.
To call this API, user have to pass query param with API URL like eventurl, orderId, staff ticketing order details and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.
It will return a success message if API execute successfully.

AttributeDescription
orderIdorder id which can be use to get form data and do checkout.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200Successfully ordered tickets.
201Created.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4060422Payment method is required.
4030101Not staff User.
4060517There are currently no tickets available. Please, contact the event organizer.
4060046You can not purchase addons ticket without purchase event ticket.
4060016Not valid payment type.
4040503order ticket count is zero.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

int64
required

Update order tickets pass the orderid.

Body Params
staffTicketingOrderDto
object

It's contains the staff ticketing order details.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json